| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TerrainLayerDeclaration Struct Reference
Optional Components » Terrain

The definition of the information each layer will contain in this terrain. More...

`#include <OgreTerrainMaterialGenerator.h>`

## Public Member Functions
bool | operator== (const TerrainLayerDeclaration &dcl) const

## Public Attributes
TerrainLayerSamplerElementList | elements
TerrainLayerSamplerList | samplers

## Detailed Description

The definition of the information each layer will contain in this terrain.

All layers must contain the same structure of information, although the input textures can be different per layer instance.

## Member Function Documentation

## ◆ operator==()

bool Ogre::TerrainLayerDeclaration::operator== | ( | const TerrainLayerDeclaration & | dcl | ) | const
| inline

References elements, and samplers.

## Member Data Documentation

## ◆ samplers

TerrainLayerSamplerList Ogre::TerrainLayerDeclaration::samplers

Referenced by operator==().

## ◆ elements

TerrainLayerSamplerElementList Ogre::TerrainLayerDeclaration::elements

Referenced by operator==().

The documentation for this struct was generated from the following file:

- OgreTerrainMaterialGenerator.h